%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('SAR')

lat=load('sar_lat.dat');
lon=load('sar_lon.dat');
sarwind=load('sar_wind.dat');
figure



disp(' ');
linnum=10;
%subplot(2,2,1)
contourf(lon,lat,sarwind,linnum);
%contourf(lon,lat,sarwind);

%colormap('bone')
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.1 55.7])
title('SAR');
colorbar
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
   %axis([minlon maxlon minlat maxlat]);
   hold on
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake');

return

