%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('transect-blue')

latred=load('farm_lat_Blue.dat');
lonred=load('farm_z_Blue.dat');
red_Fitch_ws=load('Line_Blue_Fitch_WS.dat');
red_EWP_ws=load('Line_Blue_EWP_WS.dat');
red_Fitch_tke=load('Line_Blue_Fitch_TKE.dat');
red_EWP_tke=load('Line_Blue_EWP_TKE.dat');

% figure
% 
% contourf(latred,lonred,red_Fitch_tke-red_EWP_tke,linnum);
% xlabel('Latitude ^\circ');ylabel('Height m');
% colorbar
% %return
% return
figure


asr=0.5;

disp(' ');
linnum=10;

subplot(2,2,1)
contourf(latred,lonred,red_Fitch_ws,linnum);hold on
colormap('jet');
caxis([8 15]);
% plot([54 54.09],[10 10],'w-','linewidth',5);
% plot([54.3 54.3],[0 110],'w-','linewidth',3);
% plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(54,600,'Fitch','color','w')
title('(a)');
c=colorbar;
c.Label.String = 'WS, m s^{-1}'
colorbar('limits',[8 15])
%return
subplot(2,2,2)
contourf(latred,lonred,red_EWP_ws,linnum);hold on
colormap('jet');
caxis([8 15]);
c=colorbar;
c.Label.String = 'WS, m s^{-1}';
colorbar('limits',[8 15])

% plot([54 54.09],[10 10],'w-','linewidth',5);
% plot([54.3 54.3],[0 110],'w-','linewidth',3);
% plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(54,600,'EWP','color','w')
title('(b)');


subplot(2,2,3)
contourf(latred,lonred,red_Fitch_tke,linnum);hold on
colormap('jet')
caxis([0 0.45]);
% plot([54 54.09],[10 10],'w-','linewidth',5);
% plot([54.3 54.3],[0 110],'w-','linewidth',3);
% plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(54,600,'Fitch','color','w')
title('(c)');
c=colorbar;
c.Label.String = 'TKE, m^2s^{-2}';
colorbar('limits',[0 0.45])
%return
subplot(2,2,4)
contourf(latred,lonred,red_EWP_tke,linnum);hold on
colormap('jet');
caxis([0 0.45]);
% plot([54 54.09],[10 10],'w-','linewidth',5);
% plot([54.3 54.3],[0 110],'w-','linewidth',3);
% plot([54.28 54.29],[33 187],'w-','linewidth',1.5)
xlabel('Latitude ^\circ');ylabel('Height m');
text(54,600,'EWP','color','w')
title('(d)');
c=colorbar;
c.Label.String = 'TKE, m^2s^{-2}';
colorbar('limits',[0 0.45])
%COARSE COASTLINE
%hold on
%load coast
%plot(long,lat,'color',[0.5,0.5,0.5],'linewidth',3);hold on;
%return
