%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('')

line_gray=load('line_gray.dat');
line_red=load('line_red.dat');
line_blue=load('line_blue.dat');

fcp=load('flight_center_points.dat');


minlat=53;
maxlat=56;
minlon=5;
maxlon=9;
asr=abs((maxlat-minlat)/(maxlon-minlon)/sin(pi*(maxlat+minlat)/2/180));

farms=load('farms_new.dat');
figure

subplot(2,2,1)
plot(farms(:,1),farms(:,2),'b.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([5 9.5 53.1 55.9])
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
        pbaspect([1,asr,1]);
        %axis([minlon maxlon minlat maxlat]);
   
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake');
  title('(a)')
    
minlat=53.4;
maxlat=54.5;
minlon=6.3;
maxlon=7.8;
asr2=abs((maxlat-minlat)/(maxlon-minlon)/sin(pi*(maxlat+minlat)/2/180));
   subplot(2,2,2)
plot(farms(:,1),farms(:,2),'b.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([minlon maxlon 53.6 54.4])
lw=1;
couns=['denm','swed','germ','neth','belg','fran','port','spai','ital','ukuk','norw','irel','esto','finl','gree','hung','latv','luxe','pola','icel','alba','yugo'];
            %1      2       3       4   5       6       7       8     9
    linno=[84,509,49,28,1,46,13,32,98,255,863,94,39,652,247,1,1,1,6,156,4,10];
    %landnum=[6,7,8,9,15,21,22];
    %landnum=1:21;
    %landnum=[1,2,3,4,5,6,9,10,16,19];
    landnum=[1,3,4];
        for kk=1:length(landnum)
            kki=landnum(kk);
            eval(['cd c:\my_matlab_programs\maps\',couns(kki*4-3:kki*4)]);
            for kkk=1:linno(landnum(kk))
                mapct=load(['ditu_',num2str(kkk),'.dat']);
                [ro,co]=size(mapct);
                hold on
                %plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
                plot(mapct(2:ro,1),mapct(2:ro,2),'color',[0.549,0.549,0.549],'linewidth',lw);
            end
    
        end
        pbaspect([1,asr2,1]);
        hold on
        plot(line_gray(:,1),line_gray(:,2),'g.','markersize',6);
        plot(line_red(:,1),line_red(:,2),'r.','markersize',6);
        plot(line_blue(:,1),line_blue(:,2),'b.','markersize',6);
        fsz=8;
        %text(fcp(3,2),fcp(3,1),'x','fontsize',fsz,'color','r');text(fcp(3,2),fcp(3,1)-0.05,'P1','fontsize',fsz,'color','r');
        %text(fcp(5,2),fcp(5,1),'x','fontsize',fsz,'color','r');text(fcp(5,2),fcp(5,1)-0.05,'P2','fontsize',fsz,'color','r');
        %text(fcp(6,2),fcp(6,1),'x','fontsize',fsz,'color','r');text(fcp(6,2),fcp(6,1)-0.05,'P3','fontsize',fsz,'color','r');
        text(6.58759,54.01482,'x','fontsize',fsz,'color','r');text(6.58759,54.014+0.05,'F1','fontsize',fsz,'color','r');
        title('(b)')
        
        %axis([minlon maxlon minlat maxlat]);
   
   %plot(turbines(:,1),turbines(:,2),'k.','markersize',2);
    eval('cd c:\my_matlab_programs\OffshoreWake');
