%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('')

ws_obs=load('ws_100m_obs_Fino1.dat');
ws_fitch_r=load('ws_100m_Fitch_fino1.dat');
ws_ewp_r=load('ws_100m_EWP_fino1.dat');
ws_nofarm_r=load('ws_100m_nofarm_fino1.dat');

%ws_obs_l=load('ws_100m_obs_Fino1_Left1.dat');
ws_fitch_l=load('ws_100m_Fitch_fino1_Left1.dat');
ws_ewp_l=load('ws_100m_EWP_fino1_Left1.dat');
ws_nofarm_l=load('ws_100m_nofarm_fino1_Left1.dat');

dir_obs=load('dir_90m_obs_Fino1.dat');
dir_fitch_r=load('dir_90m_Fitch_fino1.dat');
dir_ewp_r=load('dir_90m_EWP_fino1.dat');
dir_nofarm_r=load('dir_90m_nofarms_fino1.dat');

dir_fitch_l=load('dir_100m_Fitch_fino1_Left1.dat');
dir_ewp_l=load('dir_100m_EWP_fino1_Left1.dat');
dir_nofarm_l=load('dir_100m_nofarm_fino1_Left1.dat');


ws_fitch_ave=ws_fitch_l(:,2).*0.32+ws_fitch_r(:,2).*0.68;
ws_ewp_ave=ws_ewp_l(:,2).*0.32+ws_ewp_r(:,2).*0.68;
ws_nofarm_ave=ws_nofarm_l(:,2).*0.32+ws_nofarm_r(:,2).*0.68;

dir_fitch_ave=dir_fitch_l(:,2).*0.32+dir_fitch_r(:,2).*0.68;
dir_ewp_ave=dir_ewp_l(:,2).*0.32+dir_ewp_r(:,2).*0.68;
dir_nofarm_ave=dir_nofarm_l(:,2).*0.32+dir_nofarm_r(:,2).*0.68;

time=ws_fitch_r(:,1);

figure

subplot(2,2,1)
plot(ws_obs(:,1),ws_obs(:,2),'r.','markersize',15);hold on
plot(time,ws_fitch_ave,'g-','linewidth',1.5);
plot(time,ws_ewp_ave,'b-','linewidth',1.5);
plot(time,ws_nofarm_ave,'k-','linewidth',1.5);
xlabel('Hour on 14^{th}, Oct');ylabel('WS 100 m, ms^{-1}')
legend('OBS','Fitch','EWP','NWF','Location','SouthWest')
axis([10 24 4 16])
title('(a)')

%return

subplot(2,2,2)
plot(dir_obs(:,1),dir_obs(:,2),'r.','markersize',15);hold on
plot(time,dir_fitch_ave,'g-','linewidth',1.5);
plot(time,dir_ewp_ave,'b-','linewidth',1.5);
plot(time,dir_nofarm_ave,'k-','linewidth',1.5);
xlabel('Hour on 14^{th}, Oct');ylabel('DIR 90 m, ^\circ')
axis([10 24 0 360])
title('(b)')

