%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('')

lat=load('xlatd03ToPlot.dat');
lon=load('xlond03ToPlot.dat');
Fitch_tke=load('TKE_Fitch_1530.dat');
Fitch_tke_adv100=load('TKE_Fitch_1530_adv100.dat');
Fitch_tke_adv025=load('TKE_Fitch_1530_adv025.dat');
Fitch_tke=load('TKE_Fitch_1530.dat');
EWP_tke=load('TKE_EWP_1530.dat');

farms=load('farms.dat');


figure



disp(' ');
linnum=10;

subplot(2,2,1)
contourf(lon,lat,Fitch_tke,5);
colormap('jet')
colorbar('limits',[0 1.2])
caxis([0 1.2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.5,54.18,'Fitch','color','white')
text(6.5,54.14,'adv off, C_{TKE}=1','color','white')
title('(a)');
colorbar
%return
subplot(2,2,2)
contourf(lon,lat,EWP_tke,linnum*2);hold on
colormap('jet')
colorbar('limits',[0 1.2])
caxis([0 1.2]);
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.5,54.18,'EWP','color','white')

title('(b)');
colorbar

subplot(2,2,3)
contourf(lon,lat,Fitch_tke_adv025,5);
colormap('jet')
colorbar('limits',[0 1.2])
caxis([0 1.2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.5,53.92,'Fitch','color','white')
text(6.5,53.88,'adv on, C_{TKE}=0.25','color','white')
title('(c)');
colorbar

subplot(2,2,4)
contourf(lon,lat,Fitch_tke_adv100,5);
colormap('jet')
colorbar('limits',[0 1.2])
caxis([0 1.2]);
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])
text(6.5,53.92,'Fitch','color','white')
text(6.5,53.88,'adv on, C_{TKE}=1','color','white')
title('(d)');
colorbar

return
figure



disp(' ');
linnum=10;

contourf(lon,lat,Fitch_tke-EWP_tke,linnum);
colormap('jet')
hold on
plot(farms(:,1),farms(:,2),'k.','markersize',3)
xlabel('Longitude ^\circ');ylabel('Latitude ^\circ');
axis([6.5 7.4 53.85 54.2])

colorbar

return
