%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('LLJ at FINO 1')

ws_obs_14=load('OBS_14.dat');
ws_fitch_14=load('Fitch_14.dat');
ws_ewp_14=load('EWP_14.dat');
ws_nofarm_14=load('NWF_14.dat');

ws_obs_15=load('OBS_15.dat');
ws_fitch_15=load('Fitch_15.dat');
ws_ewp_15=load('EWP_15.dat');
ws_nofarm_15=load('NWF_15.dat');

ws_obs_20=load('OBS_20.dat');
ws_fitch_20=load('Fitch_20.dat');
ws_ewp_20=load('EWP_20.dat');
ws_nofarm_20=load('NWF_20.dat');

figure

subplot(2,2,1)

for i=3:7
plot(ws_obs_14(:,i),ws_obs_14(:,1),'r-','linewidth',0.5);hold on
plot(ws_fitch_14(:,i),ws_fitch_14(:,1),'g-','linewidth',0.5);
plot(ws_ewp_14(:,i),ws_ewp_14(:,1),'b-','linewidth',0.5);
plot(ws_nofarm_14(:,i),ws_nofarm_14(:,1),'k-','linewidth',0.5);
legend('off')
end

for i=2:2
p1=plot(ws_obs_14(:,i),ws_obs_14(:,1),'r-','linewidth',1.2);hold on
p2=plot(ws_fitch_14(:,i),ws_fitch_14(:,1),'g-','linewidth',0.5);
p3=plot(ws_ewp_14(:,i),ws_ewp_14(:,1),'b-','linewidth',0.5);
p4=plot(ws_nofarm_14(:,i),ws_nofarm_14(:,1),'k-','linewidth',0.5);
%legend([p1 p2 p3 p4],{'OBS','Fitch','EWP','NWF'},'Location','northwest')
end
xlabel('WS ms^{-1}');ylabel('Height m')
axis([7.5 16 0 600])
title('(a)')


subplot(2,2,2)

for i=3:7
plot(ws_obs_15(:,i),ws_obs_15(:,1),'r-','linewidth',0.5);hold on
plot(ws_fitch_15(:,i),ws_fitch_15(:,1),'g-','linewidth',0.5);
plot(ws_ewp_15(:,i),ws_ewp_15(:,1),'b-','linewidth',0.5);
plot(ws_nofarm_15(:,i),ws_nofarm_15(:,1),'k-','linewidth',0.5);
legend('off')
end

for i=2:2
p1=plot(ws_obs_15(:,i),ws_obs_15(:,1),'r-','linewidth',1.2);hold on
p2=plot(ws_fitch_15(:,i),ws_fitch_15(:,1),'g-','linewidth',0.5);
p3=plot(ws_ewp_15(:,i),ws_ewp_15(:,1),'b-','linewidth',0.5);
p4=plot(ws_nofarm_15(:,i),ws_nofarm_15(:,1),'k-','linewidth',0.5);
%legend([p1 p2 p3 p4],{'OBS','Fitch','EWP','NWF'},'Location','northwest')
end

xlabel('WS ms^{-1}');ylabel('Height m')
axis([7.5 16 0 600])
title('(b)')

subplot(2,2,3)

for i=3:7
plot(ws_obs_20(:,i),ws_obs_20(:,1),'r-','linewidth',0.5);hold on
plot(ws_fitch_20(:,i),ws_fitch_20(:,1),'g-','linewidth',0.5);
plot(ws_ewp_20(:,i),ws_ewp_20(:,1),'b-','linewidth',0.5);
plot(ws_nofarm_20(:,i),ws_nofarm_20(:,1),'k-','linewidth',0.5);
legend('off')
end

for i=2:2
p1=plot(ws_obs_20(:,i),ws_obs_20(:,1),'r-','linewidth',1.2);hold on
p2=plot(ws_fitch_20(:,i),ws_fitch_20(:,1),'g-','linewidth',0.5);
p3=plot(ws_ewp_20(:,i),ws_ewp_20(:,1),'b-','linewidth',0.5);
p4=plot(ws_nofarm_20(:,i),ws_nofarm_20(:,1),'k-','linewidth',0.5);
legend([p1 p2 p3 p4],{'OBS','Fitch','EWP','NWF'},'Location','northwest')
end

xlabel('WS ms^{-1}');ylabel('Height m')
axis([6 14 0 600])
title('(c)')

%orient LANDSCAPE


