%function PresGradientWind(minlat,maxlat,minlon,maxlon)
disp('OffshoreWake')
disp('***********************')
disp('LLJ at Point-A over farm')
disp('1')



fitch_15=load('Fitch_P2_profile_WS_DIR_T_TKE_20171014at15.dat');
ewp_15=load('EWP_P2_profile_WS_DIR_T_TKE_20171014at15.dat');
nofarm_15=load('NWF_P2_profile_WS_DIR_T_TKE_20171014at15.dat');



figure

subplot(2,2,1)


g1=plot(fitch_15(:,2),fitch_15(:,1),'g-','linewidth',1.5);hold on
g2=plot(ewp_15(:,2),ewp_15(:,1),'b-','linewidth',1.5);
g3=plot(nofarm_15(:,2),nofarm_15(:,1),'k-','linewidth',1.5);
plot([16.5 16.5],[0 110],'k-','linewidth',3);
plot([16.3 16.4],[33 187],'k-','linewidth',1.5);
g4=plot(13.38,250,'r*');
legend([g1,g2,g3,g4],{'Fitch','EWP','NWF','Flight data'},'Location','northwest')

xlabel('WS m s^{-1}');ylabel('Height m')
axis([7.5 17 0 600])
title('(a)')

subplot(2,2,2)
plot(fitch_15(:,5)/2,fitch_15(:,1),'g-','linewidth',1.5);hold on
plot(ewp_15(:,5)/2,ewp_15(:,1),'b-','linewidth',1.5);
plot(nofarm_15(:,5)/2,nofarm_15(:,1),'k-','linewidth',1.5);
%legend('Fitch','EWP','NWF','Location','northwest')
plot([1.6 1.6],[0 110],'k-','linewidth',3);
plot([1.57 1.59],[33 187],'k-','linewidth',1.5)
plot(1.027,250,'r*');
xlabel('TKE m^2 s^{-2}');ylabel('Height m')
axis([0 2.5 0 600])
title('(b)')

return




